/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.idl.wsdl.wsdl20.xerces;

import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.InterfaceOperationOutputElement;

public class InterfaceOperationOutputElementImpl extends AbstractWSDLElement implements InterfaceOperationOutputElement {

    private static final long serialVersionUID = 1L;

    public InterfaceOperationOutputElementImpl(WSDL20DocumentImpl owner) {
        super(owner, NAME.getNamespaceURI(), NAME.getPrefix() + ":" + NAME.getLocalPart());
    }

    public InterfaceOperationOutputElementImpl() {
        super();
    }

    public void setMessageLabel(String value) {
        setAttribute("messageLabel", value);
    }

    public String getMessageLabel() {
        return getAttribute("messageLabel").equals("") ? null : getAttribute("messageLabel");
    }

    public void setElement(String value) {
        setAttribute("element", value);
    }

    public String getElement() {
        return getAttribute("element").equals("") ? null : getAttribute("element");
    }

}